cURL
curl --request POST \
--url https://api.fluents.ai/v1/webhooks/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptions": [
"event_message",
"event_action"
],
"url": "https://example.com/webhook",
"method": "POST",
"label": "My Webhook",
"description": "This is a description"
}
'import requests
url = "https://api.fluents.ai/v1/webhooks/update"
payload = {
"subscriptions": ["event_message", "event_action"],
"url": "https://example.com/webhook",
"method": "POST",
"label": "My Webhook",
"description": "This is a description"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscriptions: ['event_message', 'event_action'],
url: 'https://example.com/webhook',
method: 'POST',
label: 'My Webhook',
description: 'This is a description'
})
};
fetch('https://api.fluents.ai/v1/webhooks/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"subscriptions": [
"event_message",
"event_action"
],
"url": "https://example.com/webhook",
"method": "POST",
"label": "My Webhook",
"description": "This is a description"
}{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}Webhooks
Update webhook
POST
/
v1
/
webhooks
/
update
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Response
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
["event_message", "event_action"]
Example:
"https://example.com/webhook"
Available options:
GET, POST Example:
"POST"
Example:
"My Webhook"
Example:
"This is a description"
Was this page helpful?
⌘I

